30 60 Degrees Perspektif
-
Hi everyone.
How can I see my drawing 30, 60 Degrees perspective?
Pls help me.
Thank you. -
Hi Semih,
In SU, you will not be able to set this kind of perspective view.
-
No way ?
-
you could probably set it up manually like you would if you were drawing an old fashioned hand drawing. at least you could get it pretty close. as you look at the images you realize that the Station point (you the viewer) is on the vertex of the triangle. The model or the axes are rotated 30 degrees along the picture plane. another way to think about it is that the viewing plan is divided 1/4 - 3/4 division of the picture plane will give you a 30/650 view. When you place the little viewing guy to set the view. . . click the Station POint (where you are standing) and hold the mouse key down and drag to the point on the model that touched the picture plan. change the camera to 2-point perspective that should give it to you.
Good luck.
David _H
-
Sketchup is quite capable of producing 30/60 axonometric views of your models. Like in standard ISO views all lengths in X, Y, and Z directions are kept and views could be printed to scale.
It's the same technique that I used before for cavalier projections. which I now converted in the new attached model.
Note that plan views in the original model will not be deformed.
X is rotated 30 degrees, Y is rotated 60 degrees, thereby X->Y = 90 degr.
Z = vertical
X model = X projection, Y model = Y projection, Z model = Z projection.It would be more than nice if one of the brilliant ruby programmers would convert this simple Axo-box into a ruby script.
Resulting in:
Once you finish your model you hit the "Axo"button and your model is placed into component A, thereby into wrap-box B,(the 30/60 axonometric wrap box) and if wanted, also projected on screen. The print to scale version.(Print to scale can be achieved without projection too!)
Unfortunately I'm (still) to dump for the ruby language.
Wo3Dan
-
Ok, true, Wodan, thanks. But without projecting that geometry (i.e. a "real cube") is it not possible then?
-
You mean a 30/60 ISOMETRIC view ? Or a 30/30 ?
I think Didier did something on that...
Searching - will post back...This is an Isometric Style that adds an isometric paper underlay that might help get a view right...
http://forums.sketchucation.com/viewtopic.php?p=121278#p121278An AXONOMETRIC view has no the axes at 30/60 or 45/45 degrees ?
-
Hi Gaieus,
I don't understand your question. Are you having problems with the model?
Printing (Front) to scale is possible, resulting in 30/60-axonometric view. With or without the line cube visible.
In fact the lines making up the block A are there only for informative reasons. It could have been anything, as long as there is at least one entity, preferably on a turned of layer. The same for component B. And as long as you do have the distorted component B with A in it.Place your model in A and it will show in a correct axonometry. One that you can print to scale.
As for projections, I only mentioned it in case someone wants to write a script. It would be nice to include a projection option too.
Note that rotating your model inside A by 90 drgrees will give you the correct axonometric view from the side, still in SU's Front view...etc.
So what is not correct with this technique?
Wo3Dan
-
I did not say it is not correct, did I?
What I meant was that you need to "distort" the geometry to get this view - unless I completely oversaw something. -
@gaieus said:
I did not say it is not correct, did I?
What I meant was that you need to "distort" the geometry to get this view - unless I completely oversaw something.That's why I said I did not understand. But forget about it.
%(#0000FF)[Yes and no. You only do it once. In fact I already just did it for you or for whoever needs it, for all future models.
From now on SU distorts your (any) model that you place inside A. In a split second. To a proper 30/60 axonometry.]If you open SU twice you can even work with copy and paste in place to speed things up without the bother of working near/in component A.
That's why it would be handy to convert the whole (simple) procedure into aa script to have an extra standard view: 30/60 axonometry.For now, save the file as a template for future use
How about you writing the plugin+button for us?
Wo3Dan
-
Come on, Wodan! You know I cannot script!
But indeed, if this is only like a snap as you say, good idea for a plugin.
(Any takers?)
-
@tig said:
This will do it......
Thanks TIG. And you didn't even take a break for coffee? Amazing how you guys put these things together!!! All my attempts to grasp ruby have been without success so far. Gaieus, we are in the same corner.
Now let's see if I can get it to work to see what it does to my PC.
Wo3Dan
-
Remember that after setting the axo or iso view you can only zoom in/out and pan, orbiting will mess up the view.
So it's a good idea to set the axo or iso then pan/zoom to the required view and save it as a Scene tab. Then you can mess around orbiting etc to make the model, but return to the axo or iso view by clicking its Scene tab...
-
This will do it
### 2010 (c) TIG ### paste code into a file in Plugins folder as 'axo+iso.rb' ### sets camera to 30/60 axonometric view and zooms extents require 'sketchup.rb' ### def axo3060 model=Sketchup.active_model view=model.active_view camera=view.camera eye=Geom;;Point3d.new(-25.3259,-5.00502,463.851) target=Geom;;Point3d.new(10.9614,15.9032,41.225) up=Geom;;Vector3d.new(0.862238,0.496811,0.0986113) perspective=false newcamera=Sketchup;;Camera.new(eye,target,up,perspective) view.camera=newcamera Sketchup.send_action("viewZoomExtents;") end ### sets camera to 30/30 isometric view and zooms extents def iso3030 model=Sketchup.active_model view=model.active_view camera=view.camera eye=Geom;;Point3d.new(-219.18,-239.658,258.471) target=Geom;;Point3d.new(72.869,52.1777,-23.5562) up=Geom;;Vector3d.new(0.398992, 0.398701, 0.825738) perspective=false newcamera=Sketchup;;Camera.new(eye,target,up,perspective) view.camera=newcamera Sketchup.send_action("viewZoomExtents;") end ### ###
To use it type
axo3060
in the Ruby Console - it sets the camera and zooms extents...
The axes are set at 30/60 degrees [G/R], perspective is 'off' and the verticals [B] are vertical...
OR typeiso3030
in the Ruby Console and the axes are set at 30/30 degrees [G/R] etc...
-
Tanks TIG - and of course, Wodan, too. -
I didn't realize he was asking for Axonometric. I thought it was just a standard 30 /60 perspective. My bad.
-
@unknownuser said:
I didn't realize he was asking for Axonometric. I thought it was just a standard 30 /60 perspective. My bad.
IF he did then your method is dead easy... just draw guide or line parallel to a side and rotate it 60 degrees... stand you camera on the line and everything is as you showed...
-
i've been looking for something like this for quite some time now. Works a treat.
Would it also be possible to have it show a 45 45 axonometric view? -
@d_r_i_x said:
i've been looking for something like this for quite some time now. Works a treat.
Would it also be possible to have it show a 45 45 axonometric view?It would be axo4545 and also axo6030 - however they are the end of a list right now...
-
in addition to what i mentioned, the ruby file by Tif, the red and green lines are right, but the vertical blue line is wrong (the view is wrong), but i dont know how to fix that???? anybody??
just need to change the vertical view in axo like the one in iso in the code, but i dont know how
Advertisement